Groups
Allows you to search groups by various criteria.
Custom fields
This entity supports custom field definitions which may have been configured for your Mambu tenant using our UI or our custom fields configuration. You can make a GET request to the /customfieldsets?availableFor=group endpoint to check for custom field definitions available for this entity.
For more general information on working with custom field definitions and their values, see Using Custom Fields. For more information on how to filter using custom field definitions and their values, see Searching by Custom Fields.
Setting a group type
To create or update a group with a specific group type (as configured in the Mambu UI), pass the groupRoleKey field with the encodedKey of the desired group type. Group types are called client roles in the API. To retrieve available group types and their encoded keys, call GET /clienttypes?for=GROUPS (v1 API).
To manage Group Role Names configuration programmatically, refer to the Group Role Names Configuration API.